%global gitrev 3ea1464
%global libgames_support_gitrev 8654371
%global icon_themes hicolor

%global __provides_exclude ^libgames-support.*$
%global __requires_exclude ^libgames-support.*$

Name:           gnome-2048
Version:        0.1.0
Release:        0.4.git%{gitrev}%{?dist}
Summary:        A 2048 clone for GNOME

License:        GPLv3+ and LGPLv3+
URL:            https://wiki.gnome.org/Apps/2048
# The sources for this package were pulled from upstream's vcs.  Use the
# following commands to generate the tarballs:
# git clone git://git.gnome.org/gnome-2048 && cd gnome-2048
# git archive --format=tar --prefix gnome-2048-0.1.0-%{gitrev}/ %{gitrev} | xz >  ../gnome-2048-0.1.0-%{gitrev}.tar.xz
# git clone git://git.gnome.org/libgames-support && cd libgames-support
# git archive --format=tar --prefix libgames-support-%{libgames_support_gitrev}/ %{libgames_support_gitrev} | xz >  ../libgames-support-%{libgames_support_gitrev}.tar.xz
Source0:        gnome-2048-0.1.0-%{gitrev}.tar.xz
Source1:        libgames-support-%{libgames_support_gitrev}.tar.xz

# Use bundled libgames-support 
Patch1:         gnome-2048-private-libgames-support.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(appstream-glib)

BuildRequires:  desktop-file-utils
# auto + vala
BuildRequires:  automake autoconf yelp-tools intltool gnome-common vala


%description
A GNOME clone of the popular game 2048
http://en.wikipedia.org/wiki/2048_(video_game)


%prep
%setup -q -n %{name}-%{version}-%{gitrev}
%patch1 -p1 -b .bundle
tar -xJf %{SOURCE1}


%build
pushd libgames-support-%{libgames_support_gitrev}
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1
make V=1 install DESTDIR=`pwd`/../libgames-support-private
popd

NOCONFIGURE=1 ./autogen.sh 
%configure
make %{?_smp_mflags} V=1


%install
%make_install
%find_lang %{name} --with-gnome
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.gnome-2048.desktop

install -m755 -D libgames-support-private/%{_libdir}/libgames-support.so.0 $RPM_BUILD_ROOT%{_libdir}/gnome-2048/libgames-support.so.0


%post
for theme in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$theme &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for theme in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$theme &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$theme &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for theme in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$theme &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%license COPYING libgames-support-%{libgames_support_gitrev}/COPYING.LESSER
%{_bindir}/gnome-2048
%{_datadir}/appdata/org.gnome.gnome-2048.appdata.xml
%{_datadir}/applications/org.gnome.gnome-2048.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.2048.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-2048.*
%{_libdir}/gnome-2048


%changelog
* Tue Apr 21 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.4.3ea1464
- Filter libgames-support from requires and provides

* Wed Apr 15 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.3.3ea1464
- Update to upstream master.
- Temporarily bundle libgames-support until in gets in the distribution
  Review - https://bugzilla.redhat.com/show_bug.cgi?id=1195614 
- Use license macro
- Make builds verbose

* Fri Apr  3 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.2.83c5a4a
- Apply upstream patch for bug 1208841

* Wed Jan 14 2015 Yanko Kaneti <yaneti@declera.com> - 0.1.0-0.1.83c5a4a
- Packaging attempt
